Skip to main content

Provider package apache-airflow-providers-ftp for Apache Airflow

Project description

Package apache-airflow-providers-ftp

Release: 3.7.0

File Transfer Protocol (FTP)

Provider package

This is a provider package for ftp provider. All classes for this provider package are in airflow.providers.ftp python package.

You can find package information and changelog for the provider in the documentation.

Installation

You can install this package on top of an existing Airflow 2 installation (see Requirements below for the minimum Airflow version supported) via pip install apache-airflow-providers-ftp

The package supports the following python versions: 3.8,3.9,3.10,3.11

Requirements

PIP package

Version required

apache-airflow

>=2.6.0

Cross provider package dependencies

Those are dependencies that might be needed in order to use all the features of the package. You need to install the specified provider packages in order to use them.

You can install such cross-provider dependencies when installing from PyPI. For example:

pip install apache-airflow-providers-ftp[openlineage]

Dependent package

Extra

apache-airflow-providers-openlineage

openlineage

The changelog for the provider package can be found in the changelog.

Release history Release notifications | RSS feed

Download files

Download the file for your platform. If you're not sure which to choose, learn more about installing packages.

Source Distribution

apache_airflow_providers_ftp-3.7.0.tar.gz (13.0 kB view hashes)

Uploaded source

Built Distribution

Supported by

AWS AWS Cloud computing and Security Sponsor Datadog Datadog Monitoring Fastly Fastly CDN Google Google Download Analytics Microsoft Microsoft PSF Sponsor Pingdom Pingdom Monitoring Sentry Sentry Error logging StatusPage StatusPage Status page